NATS C Client with JetStream and Streaming support 3.6.1 The nats.io C Client, Supported by Synadia Communications Inc.

Loading...
Searching...
No Matches
Public Attributes | List of all members
jsStreamState Struct Reference
Types

`#include <nats.h>`

## Public Attributes
uint64_t | Msgs
uint64_t | Bytes
uint64_t | FirstSeq
int64_t | FirstTime
| UTC time expressed as number of nanoseconds since epoch.
uint64_t | LastSeq
int64_t | LastTime
| UTC time expressed as number of nanoseconds since epoch.
int64_t | NumSubjects
jsStreamStateSubjects * | Subjects
uint64_t | NumDeleted
uint64_t * | Deleted
int | DeletedLen
jsLostStreamData * | Lost
int64_t | Consumers

## Detailed Description

Information about the given stream

Note
  `FirstTime` and `LastTime` are message timestamps expressed as the number of nanoseconds passed since 00:00:00 UTC Thursday, 1 January 1970.

## Member Data Documentation

## ◆ Msgs

uint64_t jsStreamState::Msgs

## ◆ Bytes

uint64_t jsStreamState::Bytes

## ◆ FirstSeq

uint64_t jsStreamState::FirstSeq

## ◆ FirstTime

int64_t jsStreamState::FirstTime

## ◆ LastSeq

uint64_t jsStreamState::LastSeq

## ◆ LastTime

int64_t jsStreamState::LastTime

## ◆ NumSubjects

int64_t jsStreamState::NumSubjects

## ◆ Subjects

jsStreamStateSubjects* jsStreamState::Subjects

## ◆ NumDeleted

uint64_t jsStreamState::NumDeleted

## ◆ Deleted

uint64_t* jsStreamState::Deleted

## ◆ DeletedLen

int jsStreamState::DeletedLen

## ◆ Lost

jsLostStreamData* jsStreamState::Lost

## ◆ Consumers

int64_t jsStreamState::Consumers

The documentation for this struct was generated from the following file:

- nats.h